Kerbal Space Program - Bug #5138

Center of thrust off when adding radial engines to a craft
06/15/2015 09:42 PM - RexRectumlV
Description

The center of thrust-vector is pointing in the wrong direction when (symmetrically) adding radial engines to a craft (note that | used
radial symmetry here). It seems at least the Twitch and Puff rocket engines are affected by this bug, while the Thud and Spider
engines does not seem to be affected. The bug seems to affect the center of thrust vector not only in the VAB, but also when
launching. The radial engines also scewers the vector of other engines attached to the craft (even when the radial engines are turned
off!).

A friend of mine (also Windows user) was able to reproduce the bug.

History

#1 - 06/15/2015 09:56 PM - jonatkins

I've had problems in this area too - mounting the "Twitch" engines in mirrored symmetry on self-landing rovers built from Mk2 parts.
In this case the thrust is directed to one side. Rotating the engines inwards (5 degrees?) seems to fix the problem.
#2 - 06/21/2015 12:06 PM - TriggerAu
- Status changed from New to Confirmed
- Severity changed from Critical to Normal
- % Done changed from 0 to 10
| can confirm these steps here as well, have adjusted the priority appropriately
Placing a similar vessel in orbit and thrusting | can see the off axis thrust.
#3 - 06/21/2015 12:22 PM - RexRectumlV
TriggerAu wrote:
| can confirm these steps here as well, have adjusted the priority appropriately
Placing a similar vessel in orbit and thrusting | can see the off axis thrust.

Yes, sorry about the priority (forgot to change it when | looked at the alternatives). | think, however, that it is actually quite a huge problem because it
severly cripples lander designs. The proposed fix above does not work (if you look closely the thrust vector is still off).

#4 - 07/27/2015 05:58 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#5 - 08/13/2015 07:33 PM - Kasuha
- File screenshot138.png added
- File screenshot139.png added
- File screenshot140.png added
- File screenshot141.png added
- File screenshot142.png added
- File screenshot143.png added
- File screenshot144.png added

| tried playing with the issue and my conclusion is that when determining the thrust vector, the value collected so far is normalized to 1 kN before
another engine's full thrust is added. That normalization should be dropped.

#7 - 02/08/2016 09:29 AM - Kasuha

This issue appears to be resolved in 1.0.5

#8 - 07/17/2016 09:43 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#9 - 08/10/2016 08:14 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here

-tracker/ and tag @TriggerAu to get my attention
